Bug 720347 - RHEL 6.1 Xen paravirt guest is getting network outage during live migration (host side)
Summary: RHEL 6.1 Xen paravirt guest is getting network outage during live migration (...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen
Version: 5.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Laszlo Ersek
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 514489 697021 713585 733416 733651
TreeView+ depends on / blocked
 
Reported: 2011-07-11 13:25 UTC by Laszlo Ersek
Modified: 2018-11-26 19:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-21 03:44:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0150 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Linux 5.8 kernel update 2012-02-21 07:35:24 UTC

Description Laszlo Ersek 2011-07-11 13:25:44 UTC
See bug 713585.

This BZ tracks the host side changes.

Comment 1 RHEL Product and Program Management 2011-08-04 04:14:29 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Jarod Wilson 2011-08-23 14:05:39 UTC
Patch(es) available in kernel-2.6.18-282.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5
Detailed testing feedback is always welcomed.

Comment 5 Shengnan Wang 2011-12-14 05:26:16 UTC
I reproduced the bug with kernel version 2.6.18-275.el5.
Then update the guest kernel to 2.6.18-300.el5 with xen-3.0.3-135.el5 and do the test for 20 times (host: i386 and x86_64, intel and amd). Verify with the 6.2 pv guest(i386 and x86_64, 2.6.32-220.el6).There are only little packets (1~2 packets) lost during the live migration. It is acceptable. So change this bug to VERIFIED.

Bug verify steps:
1. Start nfs in hostA and mount the nfs to hostB.
  #mount $hostA_ip:/root/img /root/img
2. Modify the xen config file and restart xend service. Boot up the pv guest.
Edit "/etc/xen/xend-config.sxp" on these two machines as following:
   (xend-relocation-server yes)
   (xend-relocation-port 8002)
   (xend-relocation-address '')
   (xend-relocation-hosts-allow '')
  # service xend restart
  # xm cr pv-config.cfg 
For RHEL6.2 PV guest, login to modify parameters. Set net.ipv4.conf.{all,default,IFACE}.arp_notify to 1 as following:
   #sysctl net.ipv4.conf.all.arp_notify = 1
   #sysctl net.ipv4.conf.default.arp_notify = 1
   #sysctl net.ipv4.conf.lo.arp_notify = 1
   #sysctl net.ipv4.conf.eth0.arp_notify = 1
3. Ping the guest from the other machine.
  $ ping $guest_ip
4. Live migrate the guest between hostA and hostB.
  # xm migrate -l pv-guest $hostA_ip
  # xm migrate -l pv-guest $hostB_ip
5. Check the ping results after live migration finish.
6. Redo step3 to step5 for 20 times.

Comment 6 errata-xmlrpc 2012-02-21 03:44:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0150.html


Note You need to log in before you can comment on or make changes to this bug.